%global commit 4d9197d13960997b892c1bdac48c35cbb6bb0543
%global shortcommit %(c=%{commit}; echo ${c:0:7})
Name: pelican
Version: 3.2.2
Release: 2%{?dist}
Summary: Static site generator that supports Markdown and reST syntax
License: GPLv3
URL: https://github.com/getpelican/%{name} 
Source0: https://github.com/getpelican/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz
BuildArch: noarch 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
# Waiting Bugzilla: 906160
# Requires: python-feedgenerator
Requires: python-jinja2.noarch >= 2.6
Requires: python-pygments.noarch
Requires: python-docutils.noarch
Requires: pytz.noarch
Requires: python-blinker.noarch
Requires: python-unidecode.noarch

%description
Pelican is a static site generator, written in Python

 * Write your weblog entries directly with your editor 
   of choice (vim!) in reStructuredText or Markdown
 * Includes a simple CLI tool to (re)generate the weblog
 * Easy to interface with DVCSes and web hooks
 * Completely static output is easy to host anywhere

%prep
%setup -q -n %{name}-%{commit}
# Zero_length_files
find usr/ -size 0 -not -name __init__.py | while read filename; 
do echo "# Just a comment" >> "$filename"; done

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT
chmod a+x %{buildroot}%{_bindir}/%{name}
chmod a+x %{buildroot}%{_bindir}/%{name}-import
chmod a+x %{buildroot}%{_bindir}/%{name}-quickstart
chmod a+x %{buildroot}%{_bindir}/%{name}-themes

%check
# No present in source

%files
%{_bindir}/%{name}
%{_bindir}/%{name}-import
%{_bindir}/%{name}-quickstart
%{_bindir}/%{name}-themes
%doc LICENSE README.rst CONTRIBUTING.rst MANIFEST.in THANKS
%{python_sitelib}/%{name}
%{python_sitelib}/%{name}-*.egg-info

%changelog
* Fri Jul 12 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 3.2.2-2
- add most Requires about Pelican latest version
- adjust %description 
- adjust Zero_length_files
- set permissions for binary files

* Thu Jul 11 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 3.2.2-1
- Initial package
